%if 0%{?fedora}
%global with_python3 1
%endif

Name:      python-networkmanager
Version:   2.0.1
Release:   1%{?dist}
Summary:   Easy communication with NetworkManager
Source0:   https://pypi.io/packages/source/p/python-networkmanager/python-networkmanager-%{version}.tar.gz
License:   MIT
BuildArch: noarch
URL:       https://github.com/seveas/python-networkmanager

%description
python-networkmanager wraps NetworkManagers D-Bus interface so you can be less
verbose when talking to NetworkManager from python. All interfaces have been
wrapped in classes, properties are exposed as python properties and function
calls are forwarded to the correct interface.



%package -n python2-networkmanager
Summary: %{summary}
BuildRequires:  python2-devel
BuildRequires:  python-sphinx
Requires: dbus-python
%{?python_provide:%python_provide python2-networkmanager}
%description -n python2-networkmanager
python-networkmanager wraps NetworkManagers D-Bus interface so you can be less
verbose when talking to NetworkManager from python. All interfaces have been
wrapped in classes, properties are exposed as python properties and function
calls are forwarded to the correct interface.

%if 0%{?with_python3}
%package -n python3-networkmanager
Summary: %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3-sphinx
Requires: python3-dbus
%{?python_provide:%python_provide python%{python3_pkgversion}-networkmanager}
%description -n python3-networkmanager
python-networkmanager wraps NetworkManagers D-Bus interface so you can be less
verbose when talking to NetworkManager from python. All interfaces have been
wrapped in classes, properties are exposed as python properties and function
calls are forwarded to the correct interface.
%endif # with_python3

%package -n python-networkmanager-doc
Summary: Example files for python-networkmanager
%description -n python-networkmanager-doc
This package provides examples for python-networkmanager


%prep
%autosetup 


%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif # with_python3
cd docs
make man

%install
%py2_install
%if 0%{?with_python3}
%py3_install
%endif # with_python3

mkdir -p %{buildroot}%{_mandir}/man1/
cp -p docs/_build/man/python-networkmanager.1 %{buildroot}%{_mandir}/man1/

chmod a-x examples/*.py examples/n-m


%files -n python2-networkmanager
%license COPYING
%{python2_sitelib}/NetworkManager.py
%{python2_sitelib}/NetworkManager.pyo
%{python2_sitelib}/NetworkManager.pyc
%{python2_sitelib}/python_networkmanager-*.egg-info

%if 0%{?with_python3}
%files -n python3-networkmanager
%license COPYING
%{python3_sitelib}/NetworkManager.py
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/python_networkmanager-*.egg-info
%endif # with_python3

%files -n python-networkmanager-doc
%license COPYING
%doc examples
%doc %{_mandir}/man1/python-networkmanager.1.gz


%changelog
* Tue Apr 04 2017 John Dulaney <jdulaney@fedoraproject.org> - 2.0.1-1
- New release 2.0.1

* Sun Feb 12 2017 John Dulaney <jdulaney@fedoraproject.org> - 1.2.1-7
- Correct typo

* Sun Feb 12 2017 John Dulaney <jdulaney@fedoraproject.org> - 1.2.1-6
- modify chmod making example .py files non-executable

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Jan 28 2017 John Dulaney <jdulaney@fedoraproject.org> - 1.2.1-4
- Update requires.

* Wed Jan 25 2017 John Dulaney <jdulaney@fedoraproject.org> - 1.2.1-3
- move manpage to docs subpackage and set cp to preserve timestamp

* Tue Jan 17 2017 John Dulaney <jdulaney@fedoraproject.org> - 1.2.1-2
- Add Requires:  python-dbus
- Package examples in doc subpackage
- Clean up python3
- Add Provides:

* Wed Jan 11 2017 John Dulaney <jdulaney@fedoraproject.org> - 1.2.1-1
- Initial Packaging
